/*****************************************************************************
 *
 * $Id$
 *
 * Copyright (C) 2009 - 2012  Richard Hacker <lerich@gmx.net>
 *                            Florian Pose <fp@igh-essen.com>
 *
 * This file is part of the PdCom library.
 *
 * The PdCom library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * The PdCom library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the PdCom Library. If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#include "pdcom/Process.h"

#include "ProtocolHandler.h"

using namespace PdCom;

/****************************************************************************/

ProtocolHandler::ProtocolHandler(
        PdCom::Process *p,
        std::ostream *os):
    process(p), os(os)
{
}

/****************************************************************************/

ProtocolHandler::~ProtocolHandler()
{
}

/****************************************************************************/

size_t ProtocolHandler::parse(const char *buf, size_t len)
{
    return len;
}

/****************************************************************************/

bool ProtocolHandler::connected() const
{
    return false;
}

/****************************************************************************/

void ProtocolHandler::initialised()
{
    process->protocolInitialised();
}
